Gentoo Archives: gentoo-user

From: Mick <michaelkintzios@×××××.com>
To: gentoo-user@l.g.o
Subject: [gentoo-user] boost-1.63 dependency confusion
Date: Sat, 11 Nov 2017 10:37:17
Message-Id: 1510401344.LrsCL7A1CB@dell_xps
The confusion is all mine, because I cannot decipher what is masking dev-util/
boost-build-1.63:
=====================
# emerge -uaNDv world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

  selected: (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed)
  skipped: (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for 
merge) (see unsatisfied dependency below)

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.63*" have been 
masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.63.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.63.0::gentoo" [ebuild])
=====================


From what I see below dev-libs/boost-1.63.0 does not look masked to me:
========================
$ eix -l boost-build
[U] dev-util/boost-build
     Available versions:  
            1.62.0-r1 ^t	[examples python test PYTHON_TARGETS="python2_7"]
["python? ( python_targets_python2_7 ) test? ( python_targets_python2_7 )"]
            1.63.0    ^t	[examples python test PYTHON_TARGETS="python2_7"]
["python? ( python_targets_python2_7 ) test? ( python_targets_python2_7 )"]
       ~    1.65.0    ^t	[examples python test PYTHON_TARGETS="python2_7"]
["python? ( python_targets_python2_7 ) test? ( python_targets_python2_7 )"]
     Installed versions:  1.62.0-r1^t(09:28:37 01/28/17)(-examples -python -
test PYTHON_TARGETS="python2_7")
     Homepage:            http://www.boost.org/doc/tools/build/index.html
     Description:         A system for large project software construction, 
simple to use and powerful
==========================


======================
$ eshowkw boost-build
Keywords for dev-util/boost-build:
             |                                 |   u   |  
             | a a         p   a     n r     s |   n   |  
             | l m   h i   p   r m m i i s   p | e u s | r
             | p d a p a p c x m i 6 o s 3   a | a s l | e
             | h 6 r p 6 p 6 8 6 p 8 s c 9 s r | p e o | p
             | a 4 m a 4 c 4 6 4 s k 2 v 0 h c | i d t | o
-------------+---------------------------------+-------+-------
[I]1.62.0-r1 | + + + + + + + + + ~ o o o ~ ~ + | 6 o 0 | gentoo
   1.63.0    | + + + ~ + + + + ~ ~ o o o ~ ~ ~ | 6 o   | gentoo
   1.65.0    | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o o ~ ~ ~ | 6 o   | gentoo
===================================

I see that 1.63.0 and 1.65.0 have no slot defined, but I'm not sure what is 
causing this.

-- 
Regards,
Mick

Attachments

File name MIME type
signature.asc application/pgp-signature

Replies

Subject Author
Re: [gentoo-user] boost-1.63 dependency confusion Philip Webb <purslow@××××××××.net>
Re: [gentoo-user] boost-1.63 dependency confusion "David M. Fellows" <fellows@×××.ca>